dofile("Scripts/mission.lua");
dofile("Scripts/msl.lua");

function PostCreate()
	mission_lua.BasicMissionInitialize()
	AIparts:AddOneTime("massage", 10, func_massage)
	AIparts:AddPeriodic("win", 10, func_win, 0 + RandomHalf(10))
	AIparts:AddPeriodic("defeat", 10, func_defeat, 0 + RandomHalf(10))
	AIparts:AddPeriodic("ATC1", 10, func_ATC1, 0 + RandomHalf(10))
	AIparts:AddPeriodic("ATC2", 10, func_ATC2, 0 + RandomHalf(10))
	AIparts:AddPeriodic("ATC3", 10, func_ATC3, 0 + RandomHalf(10))
	AIparts:AddPeriodic("ATC4", 10, func_ATC4, 0 + RandomHalf(10))
	AIparts:AddPeriodic("ATC5", 10, func_ATC5, 0 + RandomHalf(10))
	AIparts:AddPeriodic("ATC6", 10, func_ATC6, 0 + RandomHalf(10))
	AIparts:AddPeriodic("ATC7", 10, func_ATC7, 0 + RandomHalf(10))
	AIparts:AddPeriodic("ATC8", 10, func_ATC8, 0 + RandomHalf(10))
	AIparts:AddPeriodic("W1", 10, func_W1, 0 + RandomHalf(10))
	AIparts:AddPeriodic("W2", 10, func_W2, 0 + RandomHalf(10))
	AIparts:AddPeriodic("W3", 10, func_W3, 0 + RandomHalf(10))
	AIparts:AddPeriodic("Plane side", 10, func_Plane_side, 0 + RandomHalf(10))
	AIparts:AddPeriodic("send plane", 10, func_send_plane, 0 + RandomHalf(10))
	AIparts:AddOneTime("camara", 10, func_camara)
	AIparts:AddOneTime("TEST", 10, func_TEST)
	msd_vars = {
	}
end

function func_massage()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 3*10, function()  mission.OutScreenMessage(100000, 15, "0xFFf4fa58") end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 25*10, function()  mission.OutScreenMessage(100001, 15, "0xFF00BFFF") end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 45*10, function()  mission.OutScreenMessage(100002, 30, "0xFFFFFFFF") end)
	end
end

function func_win()
	if GetGameTime() > 10000 then
		PlayerWin("Player")
	end
end

function func_defeat()
	if NumPlayerUnitsInZone("Player", "Zone0") < 2 then
		PlayerDefeat("Player")
	end
end

function func_ATC1()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 1500*10, function()  RunSpawn("Enemy", {"A1", }, "A1", "", "", true, true, {}, false, 0) end)
		AIparts:RemovePeriodic("ATC1")
	end
end

function func_ATC2()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 1000*10, function()  RunSpawn("Enemy", {"A2", }, "A2", "", "", true, true, {}, false, 0) end)
		AIparts:RemovePeriodic("ATC2")
	end
end

function func_ATC3()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 300*10, function()  RunSpawn("Enemy", {"A3", }, "A3", "", "", true, true, {}, false, 0) end)
		AIparts:RemovePeriodic("ATC3")
	end
end

function func_ATC4()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 2000*10, function()  RunSpawn("Enemy", {"A4", }, "A4", "", "", true, true, {}, false, 0) end)
		AIparts:RemovePeriodic("ATC4")
	end
end

function func_ATC5()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 2500*10, function()  RunSpawn("Enemy", {"A5", }, "A5", "", "", true, true, {}, false, 0) end)
		AIparts:RemovePeriodic("ATC5")
	end
end

function func_ATC6()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 3000*10, function()  RunSpawn("Enemy", {"A5", }, "A6", "", "", true, true, {}, false, 0) end)
		AIparts:RemovePeriodic("ATC6")
	end
end

function func_ATC7()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 3500*10, function()  RunSpawn("Enemy", {"A1", }, "A7", "", "", true, true, {}, false, 0) end)
		AIparts:RemovePeriodic("ATC7")
	end
end

function func_ATC8()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 4000*10, function()  RunSpawn("Enemy", {"A1", }, "A1", "", "", true, true, {}, false, 0) end)
		AIparts:RemovePeriodic("ATC8")
	end
end

function func_W1()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 500*10, function()  RunSpawn("Player", {"W1", }, "W1", "", "", true, true, {}, false, 0) end)
		AIparts:RemovePeriodic("W1")
	end
end

function func_W2()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 3500*10, function()  RunSpawn("Player", {"W2", }, "W2", "", "", true, true, {}, false, 0) end)
		AIparts:RemovePeriodic("W2")
	end
end

function func_W3()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 6000*10, function()  RunSpawn("Player", {"W2", }, "W1", "", "", true, true, {}, false, 0) end)
		AIparts:RemovePeriodic("W3")
	end
end

function func_Plane_side()
	do
		SetPlaneSide(2, "SE")
	end
end

function func_send_plane()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 200*10, function()  SendPlane("Enemy", "Waypoint 1", "bomber", "SE", 15, -1, "") end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 202*10, function()  SendPlane("Enemy", "Waypoint 2", "bomber", "SE", 15, -1, "") end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 205*10, function()  SendPlane("Enemy", "Waypoint 3", "bomber", "SE", 15, -1, "") end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 206*10, function()  SendPlane("Enemy", "Waypoint 4", "bomber", "SE", 15, -1, "") end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 207*10, function()  SendPlane("Enemy", "Waypoint 5", "bomber", "SE", 15, -1, "") end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 208*10, function()  SendPlane("Enemy", "Waypoint 6", "bomber", "SE", 15, -1, "") end)
		AIparts:RemovePeriodic("send plane")
	end
end

function func_camara()
	do
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 3*10, function()  mission.CameraLock(true) end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 5*10, function()  mission.CameraAt({-727.388550, 1.021314, -131.570618}, 42.539047, 81.831100, 112.664551, 3.00) end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 10*10, function()  mission.CameraAt({-550.341614, 4.997329, 193.827850}, 44.999985, 119.799866, 107.268707, 3.00) end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 18*10, function()  mission.CameraAt({-681.429321, 4.997330, 394.616577}, 44.999985, 119.799866, 166.429062, 3.00) end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 24*10, function()  mission.CameraAt({-408.738190, 4.997329, 725.507263}, 44.999992, 84.292046, 166.429138, 3.00) end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 30*10, function()  mission.CameraAt({-508.233185, 4.997330, 914.312073}, 44.999992, -166.020447, 93.960960, 3.00) end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 37*10, function()  mission.CameraAt({-782.819763, 4.997329, 665.700378}, 44.999989, -51.411076, 164.265411, 5.00) end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 45*10, function()  mission.CameraAt({-703.929321, 4.997330, 395.180511}, 44.999992, 89.917015, 71.949280, 5.00) end)
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 53*10, function()  mission.CameraLock(false) end)
	end
end

function func_TEST()
	if GetGameTime() > 1820 then
		mission.OutScreenMessage(100003, 28, "0xFFFFFFFF")
		AIparts:AddOneTime(AIparts:GetUniqueId("TIMER_DO_"), 30*10, function()  PlayerDefeat("Player") end)
	end
end

